from django.test import TestCase

# Create your tests here.
class HomeTest(TestCase):
    
    def test_home_uses_template(self):
        response = self.client.get('/index')
        self.assertTemplateUsed(response, 'index.html')

class IngredientsTest(TestCase):
    
    def test_ingredients_use_list_template(self):
        response = self.client.get('/ingredients/list')
        self.assertTemplateUsed(response, 'ingredients_list.html')

    def test_ingredients_use_detail_template(self):
        response = self.client.get('/ingredients/detail')
        self.assertTemplateUsed(response, 'ingredients_detail.html')

    def test_ingredients_use_update_form_template(self):
        response = self.client.get('/ingredients/update_form')
        self.assertTemplateUsed(response, 'ingredients_update_form.html')

    def test_ingredients_use_create_form_template(self):
        response = self.client.get('/ingredients/create_form')
        self.assertTemplateUsed(response, 'ingredients_create_form.html')

class OrdersTest(TestCase):

    def test_orders_use_list_template(self):
        response = self.client.get('/orders/list')
        self.assertTemplateUsed(response, 'orders_list.html')

    def test_orders_use_detail_template(self):
        response = self.client.get('/orders/detail')
        self.assertTemplateUsed(response, 'orders_detail.html')

    def test_orders_use_update_form_template(self):
        response = self.client.get('/orders/update_form')
        self.assertTemplateUsed(response, 'orders_update_form.html')

    def test_orders_use_create_form_template(self):
        response = self.client.get('/orders/create_form')
        self.assertTemplateUsed(response, 'orders_create_form.html')


class RecipesTest(TestCase):

    def test_recipes_use_list_template(self):
        response = self.client.get('/recipes/list')
        self.assertTemplateUsed(response, 'recipes_list.html')

    def test_recipes_use_detail_template(self):
        response = self.client.get('/recipes/detail')
        self.assertTemplateUsed(response, 'recipes_detail.html')

    def test_recipes_use_update_form_template(self):
        response = self.client.get('/recipes/update_form')
        self.assertTemplateUsed(response, 'recipes_update_form.html')

    def test_recipes_use_create_form_template(self):
        response = self.client.get('/recipes/create_form')
        self.assertTemplateUsed(response, 'recipes_create_form.html')


