from django.conf.urls import url
from .views import HomePage,IngredientsCreateForm,IngredientsDetail,IngredientsList,IngredientsUpdateForm,RecipesCreateForm,RecipesDetail,RecipesList,RecipesUpdateForm,OrdersCreateForm,OrdersDetail,OrdersList,OrdersUpdateForm
urlpatterns = [
    url(r'^index$', HomePage.as_view(), name='home_page'),    
    url(r'^ingredients/list$', IngredientsList.as_view(), name='ingredients_list'),
    url(r'^ingredients/detail$', IngredientsDetail.as_view(), name='ingredients_detail'),
    url(r'^ingredients/update_form$', IngredientsUpdateForm.as_view(), name='ingredients_update_form'),
    url(r'^ingredients/create_form$', IngredientsCreateForm.as_view(), name='ingredients_create_form'),
    url(r'^recipes/list$', RecipesList.as_view(), name='recipes_list'),
    url(r'^recipes/detail$', RecipesDetail.as_view(), name='recipes_detail'),
    url(r'^recipes/update_form$', RecipesUpdateForm.as_view(), name='recipes_update_form'),
    url(r'^recipes/create_form$', RecipesCreateForm.as_view(), name='recipes_create_form'),
    url(r'^orders/list$', OrdersList.as_view(), name='orders_list'),
    url(r'^orders/detail$', OrdersDetail.as_view(), name='orders_detail'),
    url(r'^orders/update_form$', OrdersUpdateForm.as_view(), name='orders_update_form'),
    url(r'^orders/create_form$', OrdersCreateForm.as_view(), name='recipes_create_form'),
]
